package dev.zxq5.chatapp.android.api.model

sealed class LoginState {
    object Idle : LoginState()
    object Loading : LoginState()
    object Success : LoginState()
    object TwoFactorRequired : LoginState()
    data class Error(val message: String) : LoginState()
}